Skip to content

Custom Replace Bot allowlist Policy.

PUT
/api/shape/bot/custom/namespaces/{namespace}/bot_allowlist_policys/{name}
curl --request PUT \
--url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/shape/bot/custom/namespaces/example/bot_allowlist_policys/example \
--header 'Authorization: <Authorization>' \
--header 'Content-Type: application/json' \
--data '{ "name": "example", "namespace": "example", "spec": { "allowlist_policy_content": { "ip_allowlist": [ { "ip_detail": { "ip_description": "example", "ip_value": "example" }, "ip_prefix_detail": { "ip_description": "example", "ip_value": "example" } } ], "ip_range_allowlist": [ { "end_with": "example", "ip_description": "example", "start_with": "example" } ] } } }'

Customreplace CustomAPI.

Examples of this operation.

namespace
required
string

Namespace Namespace.

name
required
string

Name Name of the policy.

Media typeapplication/json
CustomReplaceRequest is used to replace contents of a bot_allowlist_policy
object
name
Name

Name of the policy.

string
>= 6 characters <= 1024 characters
namespace
Namespace

Namespace.

string
>= 6 characters <= 1024 characters
spec
object
allowlist_policy_content
object
ip_allowlist
IP & IP Prefix List

Allowlist or permitted items

Array<object>
IP Allowlist Detail

IP Allowlist value.

object
ip_detail
object
ip_description
ip description

The description for IP address.

string
<= 1024 characters
ip_value
ip value

A single IP address

Required: YES.

string
<= 1024 characters
ip_prefix_detail
object
ip_description
ip description

The description for IP prefix.

string
<= 1024 characters
ip_value
ip prefix value

IP prefix e.g. 10.0.0.0/10

Required: YES.

string
<= 1024 characters
ip_range_allowlist
IP Range List

Allowlist or permitted items

Array<object>
IP Range Allowlist Detail

IP Range Allowlist value.

object
end_with
IP end with value

IP range end with

Required: YES.

string
<= 1024 characters
ip_description
ip description

The description for IP range.

string
<= 1024 characters
start_with
IP start with value

IP range start with

Required: YES.

string
<= 1024 characters
Examplegenerated
{
"name": "example",
"namespace": "example",
"spec": {
"allowlist_policy_content": {
"ip_allowlist": [
{
"ip_detail": {
"ip_description": "example",
"ip_value": "example"
},
"ip_prefix_detail": {
"ip_description": "example",
"ip_value": "example"
}
}
],
"ip_range_allowlist": [
{
"end_with": "example",
"ip_description": "example",
"start_with": "example"
}
]
}
}
}

A successful response.

Media typeapplication/json
object
Examplegenerated
{}

Returned when operation is not authorized.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when there is no permission to access resource.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when resource is not found.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation on resource is conflicting with current value.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation has been rejected as it is happening too frequently.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server encountered an error in processing API.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when service is unavailable temporarily.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server timed out processing request.

Media typeapplication/json
string format: string
Examplegenerated
example